﻿using System;
using System.Windows.Forms;

namespace TestPlayer
{
    static class Program
    {
        /// <summary>
        /// アプリケーションのメイン エントリ ポイントです。
        /// </summary>
        [STAThread]
        static void Main()
        {
            // 2重起動禁止処理
            using (var mlock = new Lock())
            {
                if (mlock.TryLock("GuruGuruSMF_TestPlayer"))
                {
                    Application.EnableVisualStyles();
                    Application.SetCompatibleTextRenderingDefault(false);
                    Application.Run(new MainForm());
                }
                else
                {
                    // ファイル名を送信して向こうで再生
                    Util.SendArgAnotherWindow();
                }
            }

        }
    }
}
